List a tenant's connected CRM providers
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/agents/crm-tools/internal/active-providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/agents/crm-tools/internal/active-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/agents/crm-tools/internal/active-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"providers": [
"calendly",
"hubspot"
],
"total": 2
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Agents
List a tenant's connected CRM providers
Return the CRM providers (HubSpot, Salesforce, Zendesk, Calendly, Intercom) the tenant has an active integration connection for. The AI agent runtime calls this while assembling an agent’s tool set so it only offers CRM tools that will actually resolve — a tool for a provider the tenant has not connected is skipped. Internal service-to-service endpoint, authenticated with the runtime internal token rather than a tenant API key.
GET
/
api
/
v1
/
agents
/
crm-tools
/
internal
/
active-providers
List a tenant's connected CRM providers
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
⌘I